Subject: Re: bug#79137: 31.0.50; (vc-buffer-sync-fileset) cannot complete if unrelated no-longer-reachable TRAMP buffers exist

From: Michael Albinus <[email-masked]>
Date: Fri, 01 Aug 2025 18:44:14 +0200

Dima Kogan <[email-masked]> writes:

> Hi.

Hi Dima,

>> Does it help to use here
>>
>> (let ((non-essential t)
>>       dirs buffers)
>
> It does! I now get my diff. I should point out that this is very
> confusing: later in this same function there's a reference to
> 'not-essential, which apparently is a different, unrelated thing to
> 'non-essential.
>
> Let me know if any more tests would be useful.

My proposal was just a guess. I don't know the code of VC.

Let the VC people chime in for further analysis.

Best regards, Michael.